%global pypi_name trio-websocket
%global pypi_name_underscore %(echo "%{pypi_name}" | tr '-' '_')
Name: python-%{pypi_name}

Summary: WebSocket implementation focused on safety and correctness
License: MIT

Version: 0.10.3
Release: 1%{?dist}

URL: https://github.com/HyperionGray/trio-websocket
Source: %{pypi_source}

# Remove the dependency on pyhon3dist(dependencygroup).
# That package is a backport of features built into Python 3.11 and newer.
Patch0: no-exceptiongroup-dependency.patch

BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: python3-setuptools
BuildRequires: python3-trio
BuildRequires: python3-wheel
BuildRequires: python3-wsproto


%global _description %{expand:
This library implements both server and client aspects of the the WebSocket
protocol, striving for safety, correctness, and ergonomics. It is based
on the wsproto project, which is a Sans-IO state machine that implements
the majority of the WebSocket protocol, including framing, codecs, and events.
This library handles I/O using the Trio framework.
This library passes the Autobahn Test Suite.
}

%description %_description

%package -n python3-%{pypi_name}
Summary: %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%py3_build


%install
%py3_install


%check
%{python3} setup.py test


%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{pypi_name_underscore}-*.egg-info/
%{python3_sitelib}/%{pypi_name_underscore}/


%changelog
* Wed Sep 06 2023 Artur Frenszek-Iwicki <fedora@svgames.pl> - 0.10.3-2
- Initial packaging
